Your message dated Wed, 30 Jun 2010 00:02:28 +0000
with message-id <e1otkl2-0000ld...@ries.debian.org>
and subject line Bug#584605: fixed in audacity 1.3.12-4
has caused the Debian Bug report #584605,
regarding audacity: segfault with multiple ALSA devices
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
584605: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=584605
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: audacity
Version: 1.3.12-3
Severity: important
Tags: sid


The last time I used audacity, everything was working fine.  (This was a
few months ago... maybe January.)  There have been several updates in
Sid since then.  Today I wanted to use audacity, but this is what I get:

    $ audacity
    Cannot connect to server socket err = No such file or directory
    Cannot connect to server socket
    jack server is not running or cannot be started
    Segmentation fault

Removing the ~/.audacity-data directory has no effect.

Is JACK now required to be able to use audacity?  In the past, it worked
fine for me just using ALSA.


Thanks,
Dave W.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (350, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.34+drt100429.0818fe9.desktop.kms (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages audacity depends on:
ii  audacity-data            1.3.12-3        A fast, cross-platform audio edito
ii  libasound2               1.0.22-2        shared library for ALSA applicatio
ii  libc6                    2.11.1-2        Embedded GNU C Library: Shared lib
ii  libexpat1                2.0.1-7         XML parsing C library - runtime li
ii  libflac++6               1.2.1-2+b1      Free Lossless Audio Codec - C++ ru
ii  libflac8                 1.2.1-2+b1      Free Lossless Audio Codec - runtim
ii  libgcc1                  1:4.4.4-4       GCC support library
ii  libglib2.0-0             2.25.7-1        The GLib library of C routines
ii  libgtk2.0-0              2.21.1-1+xidfix The GTK+ graphical user interface 
ii  libid3tag0               0.15.1b-10      ID3 tag reading library from the M
ii  libjack0                 1.9.5~dfsg-13   JACK Audio Connection Kit (librari
ii  libmad0                  0.15.1b-5       MPEG audio decoder library
ii  libogg0                  1.2.0~dfsg-1    Ogg bitstream library
ii  libsamplerate0           0.1.7-3         Audio sample rate conversion libra
ii  libsndfile1              1.0.21-2        Library for reading/writing audio 
ii  libsoundtouch1c2         1.3.1-2         sound stretching library
ii  libstdc++6               4.4.4-4         The GNU Standard C++ Library v3
ii  libtwolame0              0.3.12-1        MPEG Audio Layer 2 encoding librar
ii  libvamp-hostsdk3         2.1-1           helper library for Vamp hosts writ
ii  libvorbis0a              1.3.1-1         The Vorbis General Audio Compressi
ii  libvorbisenc2            1.3.1-1         The Vorbis General Audio Compressi
ii  libvorbisfile3           1.3.1-1         The Vorbis General Audio Compressi
ii  libwxbase2.8-0           2.8.10.1-3      wxBase library (runtime) - non-GUI
ii  libwxgtk2.8-0            2.8.10.1-3      wxWidgets Cross-platform C++ GUI t

Versions of packages audacity recommends:
ii  libavcodec52       5:0.6~svn20100603-0.0 library to encode decode multimedi
ii  libavformat52      5:0.6~svn20100603-0.0 ffmpeg file format library

Versions of packages audacity suggests:
pn  ladspa-plugin                 <none>     (no description available)
ii  libmp3lame0                   3.98.4-0.0 LAME Ain't an MP3 Encoder

-- no debconf information



--- End Message ---
--- Begin Message ---
Source: audacity
Source-Version: 1.3.12-4

We believe that the bug you reported is fixed in the latest version of
audacity, which is due to be installed in the Debian FTP archive:

audacity-data_1.3.12-4_all.deb
  to main/a/audacity/audacity-data_1.3.12-4_all.deb
audacity-dbg_1.3.12-4_amd64.deb
  to main/a/audacity/audacity-dbg_1.3.12-4_amd64.deb
audacity_1.3.12-4.debian.tar.bz2
  to main/a/audacity/audacity_1.3.12-4.debian.tar.bz2
audacity_1.3.12-4.dsc
  to main/a/audacity/audacity_1.3.12-4.dsc
audacity_1.3.12-4_amd64.deb
  to main/a/audacity/audacity_1.3.12-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 584...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Benjamin Drung <bdr...@ubuntu.com> (supplier of updated audacity package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 30 Jun 2010 01:09:55 +0200
Source: audacity
Binary: audacity audacity-data audacity-dbg
Architecture: source amd64 all
Version: 1.3.12-4
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers 
<pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Benjamin Drung <bdr...@ubuntu.com>
Description: 
 audacity   - A fast, cross-platform audio editor
 audacity-data - A fast, cross-platform audio editor (data)
 audacity-dbg - A fast, cross-platform audio editor (debug)
Closes: 584605
Changes: 
 audacity (1.3.12-4) unstable; urgency=low
 .
   [ Fabian Greffrath ]
   * Fix debian/watch to consult sourceforge again, as googlecode changed
     their download page link format.
   * Update my e-mail address.
 .
   [ Benjamin Drung ]
   * Switch from CDBS to dh 7.
   * Convert versioned Conflicts into Breaks.
   * Simplify debian/rules.
   * Bump Standards-Version to 3.9.0 (no changes required).
   * Add open-mixer.patch to fix segfault with multiple ALSA devices.
     (Closes: #584605) - thanks to Dave Witbrodt <dawit...@sbcglobal.net>
Checksums-Sha1: 
 533f96cf63ff93595ddc46f5c9a66a25f17d5323 2600 audacity_1.3.12-4.dsc
 aa8f9e05abaa3254606e8dcd265bba1fc876011e 15107 audacity_1.3.12-4.debian.tar.bz2
 9e762167ba23267ee2fddc4226b95333ec346558 2761918 audacity_1.3.12-4_amd64.deb
 33ed6b44d09117de7da2ef1bfe64265e924a9774 2338696 audacity-data_1.3.12-4_all.deb
 dfeeb35f73a3b01795b42a05f2189cf84aa3a9e8 14508 audacity-dbg_1.3.12-4_amd64.deb
Checksums-Sha256: 
 cadd8531cc391005e4325b58d78a929cc761c12e95dea5d9da3ac7991872f6b1 2600 
audacity_1.3.12-4.dsc
 a9aa91e59dc2152a291170b96b86389f89fcbe733dd7526493d04da51dd07167 15107 
audacity_1.3.12-4.debian.tar.bz2
 17a8cd9c487d9c8d16844c28ced3a521b0cb72462f3b86fdf645a4e58daf347c 2761918 
audacity_1.3.12-4_amd64.deb
 b1e700ee0f579814a675079a4e7d21331148709f7e7427a62572c65981c13e4c 2338696 
audacity-data_1.3.12-4_all.deb
 cd077c4af3742abeab9072b1a684885df28e89ff17e31515f84f8482e31b8f08 14508 
audacity-dbg_1.3.12-4_amd64.deb
Files: 
 0d1413f41e7d5cfd05fbd5c2084a28ac 2600 sound optional audacity_1.3.12-4.dsc
 e0044c623c62a4a07e7b754cfba24cdf 15107 sound optional 
audacity_1.3.12-4.debian.tar.bz2
 e0fb8b37af55f69c991dd62ae64b0113 2761918 sound optional 
audacity_1.3.12-4_amd64.deb
 74fd9703cd4c050ac781b3037ef26aa7 2338696 sound optional 
audacity-data_1.3.12-4_all.deb
 c55c3d621499557a2d0fdce8710249fe 14508 debug extra 
audacity-dbg_1.3.12-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCgAGBQJMKoUqAAoJEBWetcTvyHdMI8EQAJscOanbEQCrhFAA+MpfwZcP
ZKYRrmUkqpyqgPml+WUbsWXZYGxGt5oarMhzO/3KjSao69f8B5NzzjTY6JIy9Af5
meknv9SDmCpBRKh4F0MkQyvzNtvkspFVtRWF+gYS6odY9rURWWJc9sJp3+d4HlQs
ujMbaj5H5l3OTh65IxDJ4dTuc49ryOMrqFBGTKJI0RZpW4v4bBuUcgO0pwbGxAsJ
MyAZPXKa8Ks/nEPWh5IaHtjLNVFEmUbelPkPX4J3FbalNtyJdL7cRzCraCFUkNke
TLePkyD1Wq4nh+uF0u4kZGUehM0XQ563XcRfAcwc87xCnyzaQVhfSIrUxiUrIKuU
wYpX+0Q8WEEHmWKD8D3EeRS7YVuEF2NpVtfn0oon+YnxYS3aKz89moaF9ChPDA60
CpguH7fhsxtWa8oOkZwAd7LSP6Qvei2d4n5YPWOJ/cB0OqqWXAaDKyejNT0baNcw
j1cPDVr+RPTNpUKtUXAJnIprSiwNIiRoN+K07kmsUasa6XXfoljZ7NrqC81hUwsF
tNveWNNeP76AbjECsJ7UyN1WcbnOEd1vKHVeEmIcKoLUkXWsvobKtiDqMLGS4HNh
vBJhzvlM/fe1TEK4EuyhebNcxvR9zJz6A9PcmrOX3kiNk7HvPyrdePzFDjOV3+Rk
JYKSROaETU2gO9j2TuqJ
=aewC
-----END PGP SIGNATURE-----



--- End Message ---
_______________________________________________
pkg-multimedia-maintainers mailing list
pkg-multimedia-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-multimedia-maintainers

Reply via email to